bzip2 security update

2010-09-21T09:46:58
ID CESA-2010:0703
Type centos
Reporter CentOS Project
Modified 2010-09-21T09:54:09

Description

CentOS Errata and Security Advisory CESA-2010:0703

bzip2 is a freely available, high-quality data compressor. It provides both standalone compression and decompression utilities, as well as a shared library for use with other programs.

An integer overflow flaw was discovered in the bzip2 decompression routine. This issue could, when decompressing malformed archives, cause bzip2, or an application linked against the libbz2 library, to crash or, potentially, execute arbitrary code. (CVE-2010-0405)

Users of bzip2 should upgrade to these updated packages, which contain a backported patch to resolve this issue. All running applications using the libbz2 library must be restarted for the update to take effect.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2010-September/029050.html http://lists.centos.org/pipermail/centos-announce/2010-September/029051.html http://lists.centos.org/pipermail/centos-announce/2010-September/029052.html http://lists.centos.org/pipermail/centos-announce/2010-September/029053.html http://lists.centos.org/pipermail/centos-announce/2010-September/029054.html http://lists.centos.org/pipermail/centos-announce/2010-September/029055.html

Affected packages: bzip2 bzip2-devel bzip2-libs

Upstream details at: https://rhn.redhat.com/errata/RHSA-2010-0703.html